AutoCAD

Drawing at an Angle in AutoCAD? Rotate the UCS!

24 Jan, 2016


If you’ve ever worked on an AutoCAD drawing that was rotated — and you had to figure out all the angles and reference points — then you’ll love this tip. Join Lynn Allen as she shows you how to save time (and your neck!) by rotating the User Coordinate System (UCS).


Add comment

Note: Comments are moderated and will appear live after approval by the site moderator.

Comments

Re: Drawing at an Angle in AutoCAD? Rotate the UCS!
by: John J. Damman
on:
February 3, 2016 - 2:59pm
I've always found that using the "object" UCS is quick and easy. Merely type "OB" after the UCS command is activated and it will ask for an object. Select a line near one of its endpoints, and, voila!, the UCS is rotated. I use this for drawing angles and for making viewports at specific angles. But please remeber to switch the UCS back to "world"!
 
Re: Drawing at an Angle in AutoCAD? Rotate the UCS!
by: BHann
on:
February 1, 2016 - 10:44am
Thank you for ending the "sad puppy dog head tilt." You rock!! Go Broncos!
 
Re: Drawing at an Angle in AutoCAD? Rotate the UCS!
by: BMacMillan
on:
January 30, 2016 - 9:32pm
A couple of more helpful UCS commands: UCSIcon, "on" turns the icon on, "or" puts the icon at the origin. DDUCS, if you are working in 3D allows you to change the view to left, right, front, back, top, or bottom. Near the top left corner of the screen click on the "-" sign to split the screen into two or more windows, you can then see your drawing from two or more different views, especially helpful when just starting to get used to 3D. Also near the top left corner you can click on the middle command for top, bottom, left, right, etcetera. Just beware the view is changed to whatever UCS was last active in the DDUCS command even if you change it to the World or other UCS without the DDUCS command. One more tip, you can name the various UCS's you might use, this one is very helpful when changing the UCS often.
 
Re: Drawing at an Angle in AutoCAD? Rotate the UCS!
by: csalvian
on:
January 26, 2016 - 7:16pm
Another way of working with wierd rotation angles is to change the snap angle. I have this in my acaddoc.lsp and it loads every time a drawing opens: (defun C:SSR ( / ANS ANG) (defun ERROR (msg)(princ "\nERROR: ")(princ msg)(setq ERROR nil)(princ)) (setvar "snapang" (getangle "\nPick rotation angle: ")) (setq ERROR nil) (princ) ) Works like a charm.
 
Re: Drawing at an Angle in AutoCAD? Rotate the UCS!
by: CT_Yankee
on:
January 25, 2016 - 10:46pm
UCS can be your friend once you get the knack of changing it to suit your needs. I find a simpler way to set the USC to what I need: - Click on the point where you want the origin to be. - Osnap to an entity in the direction you want the X-axis to align. - Hover over the quadrant to orient the Y-axis in the direction you want it. - Hit or . Done. Now, aligning the View so that the X-axis is horizontal on the screen was the big take-away for me. I often deal with buildings on oddly shaped lots, so to have a simple way to avoid the chiropractor is something I welcome. It's a bit harder to get to using my 2015 menus, but now I know where to find. Thanks Lynn!
 
AutoCAD Tips!

Lynn Allen

In her easy-to-follow, friendly style, long-time Cadalyst contributing editor and Autodesk Technical Evangelist Lynn Allen guides you through a new feature or time-saving trick in every episode of her popular AutoCAD video tips. Subscribe to the free Cadalyst Video Picks newsletter and we'll notify you every time a new video tip is published. All exclusively from Cadalyst!

Follow Lynn on TwitterFollow Lynn on Twitter





Download Cadalyst Magazine Special Edition